Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Response Body
application/json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/keys"{ "keys": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "scope": "string", "identity_id": null, "token_prefix": "string", "created_at": "2019-08-24T14:15:22Z", "last_used_at": null, "revoked_at": null } ]}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.tigby.eu/api/keys" \ -H "Content-Type: application/json" \ -d '{ "name": null }'{ "key": "string", "api_key": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "scope": "string", "identity_id": null, "token_prefix": "string", "created_at": "2019-08-24T14:15:22Z", "last_used_at": null, "revoked_at": null }}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
uuidResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/keys/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "scope": "string", "identity_id": null, "token_prefix": "string", "created_at": "2019-08-24T14:15:22Z", "last_used_at": null, "revoked_at": null}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
uuidResponse Body
application/problem+json
application/problem+json
application/problem+json
curl -X DELETE "https://api.tigby.eu/api/keys/497f6eca-6276-4993-bfeb-53cbbbba6f08"